Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSPresenceListSubscription Class Reference

An ad hoc presence list subscription. More...

`#import <CSPresenceListSubscription.h>`

Inherits NSObject.

## Instance Methods
(void) | - addAddress:
| Adds an address to the subscription to start watching the presence of the user associated with the specified address. More...
(void) | - removeAddress:
| Removes an address from the subscription. More...
(void) | - start
| Starts the subscription and watching presence for the subscribed addresses. More...
(void) | - stop
| Stops the subscription. More...

## Properties
id< CSPresenceListSubscriptionDelegate > | delegate
| The delegate responsible for handling subscription-related events. More...

## Detailed Description

An ad hoc presence list subscription.

This class provides an interface for watching the presence of a group of users specified by their addresses. The addresses must be recognizable by the presence server the user is connected to.

## Method Documentation

- (void) addAddress: |  | (NSString *) | address |

Adds an address to the subscription to start watching the presence of the user associated with the specified address.

It is allowed to add new addresses to the subscription after the subscription has been started.

- (void) removeAddress: |  | (NSString *) | address |

Removes an address from the subscription.

It is allowed to remove addresses from the subscription after the subscription has been started.

- (void) start |  |  |

Starts the subscription and watching presence for the subscribed addresses.

- (void) stop |  |  |

Stops the subscription.

## Property Documentation

- (id<CSPresenceListSubscriptionDelegate>) delegate
| read write nonatomic weak

The delegate responsible for handling subscription-related events.

The documentation for this class was generated from the following file:

- CSPresenceListSubscription.h